import axios from "./axios.js";
class Interface {
  //添加慰问接口
  userLogin(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  /*----------------------start---------------------*/

  // 获取论证模板信息
  proofLablesAndValues(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //微信授权获取token
  authorization(url, data = {}, fun) {
    axios.postRequest(url, data, fun);
  }
  //获取消息配置
  getMessageConfig(url, data = {}, fun) {
    axios.postRequest(url, data, fun);
  }
  //修改消息配置
  saveMessageConfig(url, data = {}, fun) {
    axios.postRequest(url, data, fun);
  }
  //获取消息列表
  getMessagesLists(url, data = {}, fun) {
    axios.postRequest(url, data, fun);
  }
  //获取消息未读、已读总数
  getMessagesReadCount(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //清除未读数据
  clearMessagesUnReadCount(url, data = {}, fun) {
    axios.postRequest(url, data, fun);
  }
  //读消息
  readMessage(url, data = {}, fun) {
    axios.postRequest(url, data, fun);
  }
  //采购审批保存
  purchaseSave(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //质控审批保养计划详情
  maintainPlanDetail(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //论证列表数据
  argumentLists(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  getWorkOrderListMyCreated(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //过会列表
  voteList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //投票详情
  purchaseVoteDetail(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //更新缓存信息
  updateCachIte(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  /*----------------------end-------------------*/

  getDailyRoundCheck(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  getWorkBenchData(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  getRoundCheckDetail(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 计量历史
  getAssetsMeterHistoryForApp(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 计量基础信息确定
  assetsMeter(url, data, fun, allInfo) {
    data.maintainPersonCode = allInfo.id;
    data.maintainPersonName = allInfo.name;
    axios.postRequest(url, data, fun);
  }

  // 设备报修
  equipmentRepair(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 设备报修
  equipmentRepairAPP(url, data, fun) {
    axios.APPAjax(url, data, fun);
  }
  //获取紧急程度、故障等级
  getDictionary(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取故障类别
  getItemList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取设备详情
  getEquipmentById(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取医院分组
  teamTreeList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取签名
  getSign(url, data, fun) {
    axios.getRequest(url, data, fun);
  }
  maintainWordListApp(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  getRiskEvaluateHistory(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  projectContent(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  projectListContent(url, data, fun, allInfo) {
    data.departmentAssetAdminCode = allInfo.officeCode;
    data.oprationOfficeCode = allInfo.officeCode;
    data.moduleIdentity = allInfo.moduleIdentity;
    data.oprationOfficeName = allInfo.officeName;
    axios.postRequest(url, data, fun);
  }
  // 风险评估确定
  assetsEvaluate(url, data, fun, allInfo) {
    data.evaluatePersonCode = allInfo.id;
    data.evaluatePersonName = allInfo.name;
    axios.postRequest(url, data, fun);
  }
  // 效益分析
  getProfitData(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //数据看板
  getDataForBench(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //设备列表/设备信息
  equipmentList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //数据看板获取设备分类列表
  getDeviceTypeList(url, data, fun, allInfo) {
    data.roleCode = allInfo.roleCode;
    data.moduleIdentity = allInfo.moduleIdentity;
    axios.postRequest(url, data, fun);
  }
  //巡检统计
  getRoundCheckStatistics(url, data, fun, allData) {
    data.equipmentAdminCode = allData.officeCode;
    data.teamId = allData.gridIds;
    axios.postRequest(url, data, fun);
  }
  //数据看板获取 设备分类
  getAssetsTypeList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //设备列表/设备信息
  getAssetsList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //设备列表-获取科室筛选信息
  getUsingOffice(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //设备: 获取相关记录
  getAssetsRecord(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //获取设备文档
  getAssetsDocument(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
   //根据设备文档fileUrl 获取下载全路径url
   getAttachmentUrl(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //扫码后日常保养/巡检的详情（保养项目详情）
  getDailyMaintainDetailByPlanId(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
   //巡检记录列表
   viewDetails(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //扫码-日常保养/巡检状态提交
  commitDailyCheckState(url, data, fun, allInfo) {
    data.maintainPersonName = allInfo.name;
    data.propertyCompanyCode = allInfo.unitCode;
    data.propertyCompanyName = allInfo.unitName;
    data.taskId = allInfo.type ==1?allInfo.teamIds:allInfo.officeCode;
    axios.postRequest(url, data, fun);
  }
  ////盘点任务列表
  taskListData(url, data, fun,allInfo) {
    data.staffId = allInfo.id;
    axios.postRequest(url, data, fun);
  }
  //数据看板获取科室列表
  getUsingOfficeList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //班组任务  维修工单/无设备
  getMaintenanceOrder(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //班组任务  保养工单列表
  getMaintainListForIMESApp(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //待执行  维修工单/无设备
  getUndoRepairListForApp(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //待执行  保养工单列表
  getUndoMaintainListForIMESApp(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取OSS
  aliyunpolicy(url, data, fun) {
    axios.getRequest(url, data, fun);
  }
  //APP统计班组任务或待执行维修工单数量
  repairStatistic(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //APP统计班组任务或待执行保养工单数量
  maintainStatistic(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取工单详情
  getWorkOrderDetails(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取工单详情 新20210302
  getRepairDetailById(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 工单指派（认领）
  dispatchingTheWorkOrder(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 挂单
  suspendTheWorkOrder(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取数据字典
  getDictValue(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取小组成员使用基础信息的
  getTeamStaffList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取耗材目录
  getConsumablesCatalog(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取耗材目录 搜索
  getConsumables(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // APP获取我的报修统计图
  getRepairRecordByMe(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 科室设备故障统计
  getDeviceRepairStatsByDept(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 设备故障次数排行
  getDeviceRepairCountStats(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取工单列表
  getWorkOrderListByDevice(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //设备维修时间排行
  getDeviceRepairTimeStats(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  //设备维修费用排行
  getDeviceRepairCostStats(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 保养工单详情接口
  MaintainView(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 保养工单认领/指派
  claimOrAssignMaintain(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取班组人员
  getTeamMembers(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // app保养工单挂单
  paymentMaintain(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 维修工单完工
  completeWorkOrder(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 维修工单完工 APP
  completeWorkOrderAPP(url, data, fun) {
    axios.APPAjax(url, data, fun);
  }
  // 查询工单作业书
  findMaintainWorkList(url, data, fun) {
    axios.postRequest(url, data, fun);
  }
  // 获取工作记录列表
  getMyWorkRecord(url, data, fun){
    data.userId = !data.assetsId?data.userId:undefined;
    axios.postRequest(url, data, fun);
  }
  // 保养工单完工
  maintainEquipment(url, data, fun, allData) {
    // data.taskId = allData.officeCode;

    if (allData.type == 1) {
      data.propertyCompanyCode = allData.hospitalCode;
      data.propertyCompanyName = allData.hospitalName;
    } else {
      data.propertyCompanyCode = allData.companyCode;
      data.propertyCompanyName = allData.companyName;
    }
    axios.postRequest(url, data, fun);
  }
  // 保养工单完工
  maintainEquipmentAPP(url, data, fun, allData) {
    // data.taskId = allData.officeCode;

    if (allData.type == 1) {
      data.propertyCompanyCode = allData.hospitalCode;
      data.propertyCompanyName = allData.hospitalName;
    } else {
      data.propertyCompanyCode = allData.companyCode;
      data.propertyCompanyName = allData.companyName;
    }
    axios.APPAjax(url, data, fun);
  }
  // 扫码获取工作记录数量
  getMaintainRecordCountByAssetsId(url, data, fun){
    axios.postRequest(url, data, fun);
  }
  // 扫码后获取一级保养列表
  getMaintainWorkOrderListByAssetsId(url, data, fun){
    axios.postRequest(url, data, fun);
  }
  // 扫码后统计一级保养和维修数量
  getMaintainCountByAssetsId(url, data, fun){
    axios.postRequest(url, data, fun);
  }
  // 扫码后获取日常保养列表
  getDailyMaintainWorkOrderListByAssetsId(url, data, fun){
    axios.postRequest(url, data, fun);
  }
  // 扫码获取设备工单信息
  scanCodeQueryDeviceWorkOrder(url, data, fun){
    axios.postRequest(url, data, fun);
  }
  // 【我的报修】维修工单列表
  getWorkOrderListMyCreated(url, data, fun){
    axios.postRequest(url, data, fun);
  }
  // 维修工单取消
  cancelRepairWorkOrder(url, data, fun){
    axios.postRequest(url, data, fun);
  }
  
  
}
let interfaceClass = new Interface();
export default interfaceClass;
