class Config {
    url = process.env.IUMS_HOST; //挂载配置地址
    urlOne = process.env.ONESTOP;//一站式
    urlBasic = process.env.BASICINFO;//基础信息服务

    
    userLogin = "/userLoginController/userLogin";//登录获取首页数据
    proofLablesAndValues = "/purchaseProof/proofLablesAndValues" //论证模板信息查询
    authorization = "/weChatAuthorController/getWxAuth" //微信授权获取token
    getMessageConfig = "/mobile/msgSetting/get" //获取消息配置
    saveMessageConfig = "/mobile/msgSetting/save" //修改消息配置
    getMessagesLists = "/news/msgPush/listData" //获取消息列表
    getMessagesReadCount = "/news/msgPush/sum" //获取消息未读、已读总数 
    clearMessagesUnReadCount = "/news/msgPush/delete" //清除未读数据 
    readMessage = "/news/msgPush/read" //读消息
    purchaseSave = "/purchaseApplyRecord/save" //采购审批保存
    maintainPlanDetail = "/maintainPlan/getPlanAsEquipment" //质控审批保养计划详情
    argumentLists = "/purchaseProof/proofList" //论证列表数据
    getWorkOrderListMyCreated = "/appMyWork/getWorkOrderListMyCreated" //报修、工作记录数据统计
    voteList = "/purchaseVote/voteList" //过会列表
    purchaseVoteDetail = "/purchaseVote/listData" //查询投票详情列表
    updateCachIte = "/userLoginController/updateCachIte"  //更新缓存信息
    
    // 维保日常巡检
    getDailyRoundCheck = "/appWorkbenchController/getDailyRoundCheck" //巡检计划
    getRoundCheckDetail = "/appWorkbenchController/getRoundCheckDetail" //巡检计划详情
    viewDetails = "/inspectionRecordController/viewDetails" //巡检记录列表
    // 首页
    getWorkBenchData = "/workbench/getWorkBenchData" //巡检计划
    // 风险评估和计量管理
    maintainWordListApp = "/appMaintainController/maintainWordListApp"  // 风险评估和计量管理列表
    getRiskEvaluateHistory = "/appEvaluateController/getRiskEvaluateHistory"  //app风险评估历史
    projectContent = "/appMaintainController/projectContent"  // 获取风险评估模板列表
    projectListContent = "/knowledge/projectContent"  // 获取风险评估模板列表内容
    getAssetsMeterHistoryForApp = "/appEvaluateController/getAssetsMeterHistoryForApp"  // 计量历史
    assetsMeter = "/evaluatePlan/assetsMeter"  // 计量基础信息确定
    assetsEvaluate = "/evaluatePlan/assetsEvaluate"  // 风险评估确定
    getDailyMaintainDetailByPlanId = "/appMaintainController/getDailyMaintainDetailByPlanId"  //扫码后日常保养/巡检的详情（保养项目详情）
    commitDailyCheckState = "/appMaintainController/commitDailyCheckState"  //扫码-日常保养/巡检状态提交

     /* 数据统计 */
     getProfitData = "/appProfit/getProfitData"  //效益分析
     getDataForBench = "/appAnalysis/data/getDataForBench"  //数据看板
     equipmentList = "/appAssetsInfo/equipmentList"  //设备列表/设备信息
     getDeviceTypeList = "/equipmentConfigController/getDeviceTypeList"  //数据看板获取设备分类列表
     getRoundCheckStatistics = "/appWorkbenchController/getRoundCheckStatistics"  //巡检统计
     getAssetsTypeList = "/appAssetsInfo/getAssetsTypeList"  //数据看板获取 设备分类
     getUsingOfficeList = "/appAssetsInfo/getUsingOfficeList"  //数据看板获取科室列表
     /* 资产盘点 */
     taskListData = "/inventoryTask/taskListData"  //盘点任务列表
      /* 设备 */
      getAssetsList = "/appAssetsInfo/getAssetsList"  //设备列表/设备信息
      getUsingOffice = "/appAssetsInfo/getUsingOffice"  //设备列表-获取科室筛选信息
      getAssetsRecord = "/appAnalysis/getAssetsRecord"  //设备: 获取相关记录
      getAssetsDocument = "/appAssetsInfo/getAssetsDocument"  //获取设备文档
      getAttachmentUrl = "/assetsRenewalRecord/getAttachmentUrl"  //根据设备文档fileUrl 获取下载全路径url

    /* 维保*/
    equipmentRepair = "/equipmentListController/equipmentRepair" //设备报修
    equipmentRepairAPP = "/equipmentListController/equipmentRepair" //设备报修 APP
    getEquipmentById = "/equipmentListController/getEquipmentById" //获取设备详情
    getMaintenanceOrder = "/appRepairController/getMaintenanceOrder" //班组任务  维修工单/无设备
    getMaintainListForIMESApp = "/appMaintainController/getMaintainListForIMESApp" //班组任务  保养工单列表
    getUndoRepairListForApp = "/appRepairController/getUndoRepairListForApp" //待执行  维修工单列表
    getUndoMaintainListForIMESApp = "/appMaintainController/getUndoMaintainListForIMESApp" //待执行  保养工单列表
    repairStatistic = "/appMyWork/repairStatistic" //APP统计班组任务或待执行维修工单数量
    maintainStatistic = "/appMyWork/maintainStatistic" //APP统计班组任务或待执行保养工单数量
    getDictValue = "/maintainPlan/getDictValue" //获取数据字典
    getRepairRecordByMe = "/appRepairController/getRepairRecordByMe" //APP获取我的报修统计图
    MaintainView = "/appMaintainController/MaintainView" //保养工单详情接口
    claimOrAssignMaintain = "/appMaintainController/claimOrAssignMaintain" //保养工单认领/指派
    getTeamMembers = "/appMyWork/getTeamMembers" //获取班组人员
    paymentMaintain = "/appMaintainController/paymentMaintain" //app保养工单挂单
    completeWorkOrder = "/appMyWork/completeWorkOrder" //维修工单完工
    completeWorkOrderAPP = "/appMyWork/completeWorkOrder" //维修工单完工APP
    findMaintainWorkList = "/appMaintainController/findMaintainWorkList" //查询工单作业书
    maintainEquipment = "/appMaintainController/maintainEquipment" //保养工单完工
    maintainEquipmentAPP = "/appMaintainController/maintainEquipment" //保养工单完工APP
    getMyWorkRecord = "/appRepairController/getMyWorkRecord" //获取工作记录列表
    getMaintainRecordCountByAssetsId = "/appWorkbenchController/getMaintainRecordCountByAssetsId" //扫码获取工作记录数量
    getMaintainWorkOrderListByAssetsId = "/appMaintainController/getMaintainWorkOrderListByAssetsId" //扫码后获取一级保养列表
    getMaintainCountByAssetsId = "/appMaintainController/getMaintainCountByAssetsId" //扫码后统计一级保养和维修数量
    getDailyMaintainWorkOrderListByAssetsId = "/appMaintainController/getDailyMaintainWorkOrderListByAssetsId" //扫码后获取日常保养列表
    getWorkOrderListMyCreated = "/appMyWork/getWorkOrderListMyCreated" //【我的报修】维修工单列表
    cancelRepairWorkOrder = "/appRepairController/cancelRepairWorkOrder" //维修工单取消
    getRepairDetailById= "/appRepairController/getRepairDetailById"; //获取维修工单详情  新20210302
    

    /* 一站式 */
    getDictionary= "/deviceRepair/getDictionary"; //获取紧急程度、故障等级
    getItemList= "/workOrderConfigController/getItemList"; //获取故障类别
    getWorkOrderDetails= "/deviceRepair/getWorkOrderDetails"; //获取工单详情
    dispatchingTheWorkOrder= "/deviceRepair/dispatchingTheWorkOrder"; //工单指派（认领）
    suspendTheWorkOrder= "/deviceRepair/suspendTheWorkOrder"; //挂单
    getConsumablesCatalog= "/customReportsController/getConsumablesCatalog"; // 获取耗材目录
    getConsumables= "/deviceRepair/getConsumables"; // 获取耗材目录-条件搜索
    scanCodeQueryDeviceWorkOrder= "/deviceRepair/scanCodeQueryDeviceWorkOrder"; // 扫码获取设备工单信息
    
    getDeviceRepairStatsByDept="/deviceRepair/getDeviceRepairStatsByDept";//科室设备故障统计
    getDeviceRepairCountStats="/deviceRepair/getDeviceRepairCountStats";//设备故障次数排行
    getWorkOrderListByDevice="/deviceRepair/getWorkOrderListByDevice";//获取工单列表
    getDeviceRepairTimeStats="/deviceRepair/getDeviceRepairTimeStats";//设备维修时间排行
    getDeviceRepairCostStats="/deviceRepair/getDeviceRepairCostStats";//设备维修费用排行
    
    /* 基础信息服务 */
    teamTreeList= "/a/hospitalteam/hospitalTeam/getTeamIdList"; //获取医院分组               
    getTeamStaffList= "/a/hospitalteam/hospitalTeam/getStaffListByTeamId"; //获取小组成员使用基础信息的
    
    /* 获取微信权限相关 */
    getSign= "/weChatAuthorController/getSign"; //获取签名
    aliyunpolicy= "/aliyun/oss/policy"; //获取OSS
    
    
    getStr(str) {
        return config[str];
    }
}
let config = new Config();
export default config;
