import { saveWorkflow, post, approvalPost, postOss, postZc, saveApproval,save } from "./request";

const enquiryAgent = saveWorkflow(
  "workflowProcessController/enquiryAgent",
  "workflow"
); //资产审批列表
const qualityAgent = post("approvalMaterController/enquiryAgent", 1, "immas/"); //质控审批列表
const purchaseApprovalList = post(
  "purchaseApproval/purchaseApprovalListData",
  1,
  "iaastServer/"
); //采购审批列表
const ApprovalDetail = post("assetsTransferController/view", 1, "iaastServer/"); //资产转科审批详情
const ApprovalDetailGetView = post(
  "inWarehouseController/getView",
  1,
  "iaastServer/"
); //资产入库审批详情
const ApprovalDetailScrap = post(
  "assetsScrapController/view",
  1,
  "iaastServer/"
); //资产报废审批详情
const ApprovalDetailWarehouse = post(
  "receiveWarehouseController/getView",
  1,
  "iaastServer/"
); //资产领用审批详情
const ApprovalInfoSubmit = approvalPost(
  "workflowProcessController/approval",
  1,
  "workflow/"
); //资产审批提交
const purchaseApplyRecordDetail = post(
  "purchaseApplyRecord/view",
  1,
  "iaastServer/"
); //采购论证详情
const purchaseProofSave = post("purchaseProof/save", 1, "iaastServer/"); //保存论证
const approvalSave = saveApproval(
  "/workflowProcessController/approval"
); //质控审批保存
const getEvaluatePlanView = post(
  "/evaluatePlan/getEvaluatePlanView",
  1,
  "imas/"
); //风险评估详情
const maintainPlanDetailOrUpdate = post(
  "/maintainPlan/maintainPlanDetailOrUpdate",
  1,
  "imas/"
); //保养计划详情
const argumentInfoDetai = post(
  "/purchaseApproval/getView",
  1,
  "iaastServer/"
); //论证信息详情

// const listData = postZc("taskAssets/listData"); //开始盘点-资产列表
// const taskStart = postZc("inventoryOfficesTask/taskStart"); //开始盘点-移动端（科室任务）
// const ossGetSignature = postOss("accessToken/getSignature"); //处理下拉菜单
// const inventory = postZc("taskAssets/inventory"); //任务详情
const staffInfoByUserId = postZc("userController/findStaffInfoByUserId"); //用户信息
const taskListData = postZc("/inventoryTask/listData"); //任务列表
const officesTaskListData = postZc("inventoryOfficesTask/officesTaskListData"); //科室任务列表
const taskView = postZc("inventoryTask/taskView"); //任务详情
const view = postZc("taskAssets/view"); //任务详情
const inventory = postZc("taskAssets/inventory"); //任务详情
const taskStart = postZc("inventoryOfficesTask/taskStart"); //开始盘点-移动端（科室任务）
const taskClose = postZc("inventoryOfficesTask/taskClose"); //结束盘点-移动端（科室任务）
const listData = postZc("taskAssets/listData"); //开始盘点-资产列表
const dispose = postZc("taskAssets/dispose"); //资产处理
const getDictList = postZc("dictUtils/getDictList"); //处理下拉菜单
const getSignature = postZc("inventoryOfficesTask/getSignature"); //处理下拉菜单
const ossGetSignature = postOss("accessToken/getSignature"); //处理下拉菜单
const patrolProjectControllerFindProjectDetailList = post('patrolProjectController/findProjectDetailList', 2)
const basicUserInfoPermisson = postZc(
  "userLoginController/basicUserInfoPermisson"
); //模块标识
const evaluatePlanAssetsMeter = save(
  "evaluatePlan/assetsMeter", 2
); //任务分配确认
const voteList = postZc("purchaseVote/voteList"); //过会列表
const purchaseVoteListData = postZc("purchaseVote/listData"); //查询投票列表
const purchaseVoteSave = postZc("purchaseVote/save"); //保存投票
const purchaseApplyRecordView = postZc("purchaseApplyRecord/view"); //采购查看详情
const checkOfficeVote = postZc("purchaseVote/checkOfficeVote"); //采购查看详情

export {
  enquiryAgent,
  qualityAgent,
  purchaseApprovalList,
  ApprovalDetail,
  ApprovalDetailGetView,
  ApprovalInfoSubmit,
  ApprovalDetailScrap,
  ApprovalDetailWarehouse,
  purchaseApplyRecordDetail,
  purchaseProofSave,
  checkOfficeVote,
  purchaseApplyRecordView,
  purchaseVoteSave,
  purchaseVoteListData,
  voteList,
  basicUserInfoPermisson,
  staffInfoByUserId,
  taskListData,
  officesTaskListData,
  taskView,
  view,
  inventory,
  taskStart,
  taskClose,
  listData,
  dispose,
  getDictList,
  getSignature,
  ossGetSignature,
  approvalSave,
  getEvaluatePlanView,
  maintainPlanDetailOrUpdate,
  argumentInfoDetai,
  evaluatePlanAssetsMeter,
  patrolProjectControllerFindProjectDetailList
};
