import interfaceClass from './Interface.js'
import config from './config.js'
import dateConfig from './dataConfig';
class centralControl {
  commonFun(str,dateStr,data,fun,infoObj){
    interfaceClass[str](dateStr, {...data, ...infoObj.currency},fun,infoObj);
}
  //该方法目前获取接口有用到,如需修改请确保不影响其他
  centralControl(str, data, fun) {
    var obj = this.getData();
    // this.commonFun(str,config.getStr("url") + config.getStr(str),data,fun,obj.all);
    this.commonFun(str,config.getStr("url")+ '/iaastServer'+config.getStr(str), {...data, ...obj.currency},fun,obj.all);
  }
  // Form Data 格式传所有公共参数
  postRequestHostUrl(str,data,fun){
    var obj = this.getData();
    this.commonFun(str,config.getStr("url")+ '/imas/'+ config.getStr(str), {...data, ...obj.currency},fun,obj.all);
  }
   // 知识库网关
   postRequestHostUrlKnowledge(str,data,fun){
    var obj = this.getData();
    this.commonFun(str,config.getStr("url")+ '/knowledge/'+config.getStr(str), {...data, ...obj.currency},fun,obj.all);
  }

  // 不传公共参数
  postIaastServer(str,data,fun){
    const GETWAY = 'iaastServer';
    let infoObj = dateConfig.postImes();
    this.commonFun(str,config.getStr("url") + GETWAY + config.getStr(str),data,fun,{});
  }
  // 不传公共参数 （维保
  postImesNo(str,data,fun){
    const GETWAY = 'imas';
    let infoObj = dateConfig.postImes();
    this.commonFun(str,config.getStr("url") + GETWAY + config.getStr(str),data,fun,{});
  }
  // 基础信息服务
  postBasic(str,data,fun){
    const GETWAY = '';
    let infoObj = dateConfig.postIaastServer();
    this.commonFun(str,config.getStr("urlBasic") + GETWAY + config.getStr(str),data,fun,infoObj);
  }
  // 维保
  postImes(str,data,fun){
    const GETWAY = 'imas';
    let infoObj = dateConfig.postImes();
    this.commonFun(str,config.getStr("url") + GETWAY + config.getStr(str),{...data,...infoObj.currency},fun,infoObj.allInfo);
  }
  // 走一站式（不走网关
  postContralHostUrlOne(str,data,fun){
    let infoObj = dateConfig.postContralHostUrl();
    this.commonFun(str,config.getStr("urlOne") + config.getStr(str),data,fun,infoObj);
  }

  // 审批、论证、投票
  approvalPublicParams(str,data,fun){
    const GETWAY = 'iaastServer';
    // const GETWAY = ''; //连接本地后端
    let infoObj = dateConfig.approvalPublicParams();
    this.commonFun(str,config.getStr("url") + GETWAY + config.getStr(str),data,fun,infoObj);
  }
  approvalPublicParamsLz(str,data,fun){
    const GETWAY = 'iaastServer';
    // const GETWAY = ''; //连接本地后端
    let infoObj = dateConfig.approvalPublicParamsLz();
    this.commonFun(str,config.getStr("url") + GETWAY + config.getStr(str),data,fun,infoObj);
  }
  // 质控获取设备
  postMaintainPlan(str,data,fun){
    let infoObj = dateConfig.maintainPlan();
    this.commonFun(str,config.getStr("url")+ '/imas/'+ config.getStr(str), data,fun,infoObj);
  }
  // 手动刷新缓存信息
  refreshCache(str,data,fun){
    let infoObj = dateConfig.refreshCacheParams();
    this.commonFun(str,config.getStr("url")+ '/iaastServer/'+ config.getStr(str), data,fun,infoObj);
  }
  //拼接需要得参数信息 refreshCacheParams
  getData() {
    const loginInfo = localStorage.getItem("loginInfo");
    const currentLoginInfo = loginInfo ? JSON.parse(loginInfo) : {};
    var obj = {
      // 通用数据
      // "currency":{
      //   unitCode: currentLoginInfo.unitCode, //登录用户id
      //   sysFlag:currentLoginInfo.sysFlag,
      //   hospitalCode:currentLoginInfo.hospitalCode,
      //   sysIdentity:currentLoginInfo.sysIdentity,
      //   userId:currentLoginInfo.userId,
      //   roleCode:currentLoginInfo.roleCode,
      //   userName:currentLoginInfo.name,
      //   sysFlag:'imes'
      // },
      // 所有配置
      "all":currentLoginInfo
    }
    return obj;
  }
}

let centralcontrol = new centralControl();
export default centralcontrol
